Bug 249693 - graphics/gif2png: depends on python 2.x
Summary: graphics/gif2png: depends on python 2.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks: 249337
  Show dependency treegraph
 
Reported: 2020-09-24 16:28 UTC by Steve Wills
Modified: 2021-01-13 08:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (saper)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2020-09-24 16:28:15 UTC
This port will be removed on 2020-12-31 if not fixed
Comment 1 Wen Heping freebsd_committer 2020-10-01 13:55:11 UTC
Now gif2png-3.0 code switched to Go.
Comment 2 Marcin Cieślak 2020-11-08 21:35:21 UTC
Yes, gif2png got converted to go, but the problematic web2png script is still python 1.5.2+ and not python 3 compatible.

https://gitlab.com/esr/gif2png/-/blob/3.0.0/web2png

Maybe it can be brought to something closer to 3.x easily.
Comment 3 Marcin Cieślak 2020-11-08 21:58:13 UTC
Can you link https://gitlab.com/esr/gif2png/-/issues/13 and assign this to me? thanks.
Comment 4 Rene Ladan freebsd_committer 2020-12-31 18:26:50 UTC
Any update on this? Note that this port expired today.
Comment 5 Marcin Cieślak 2020-12-31 21:09:06 UTC
No updates.

We can either:

1) kick out web2png (that's the python part) - not sure how to do this (PORTREVISION bump looks not good to me here)
2) kick the whole port out - there is only one dependency in the ports tree which is trivial to avoid
Comment 6 Rene Ladan freebsd_committer 2021-01-01 15:22:48 UTC
(In reply to Marcin Cieślak from comment #5)
Hm, so only games/lbreakout2 depends on this port and lbreakout2 is unmaintained. But is should indeed be trivial to remove the gif2png call in pre-build: there.
I'll try that.
Comment 7 Rene Ladan freebsd_committer 2021-01-01 16:12:03 UTC
(In reply to Rene Ladan from comment #6)
Building lbreakout2 without gif2png works just fine. I think the only artifact is that the window manager menu icon is lost.
Comment 8 Marcin Cieślak 2021-01-03 21:21:57 UTC
Maybe this could be manually converted once and added to the port?
Comment 9 Marcin Cieślak 2021-01-03 21:23:43 UTC
Any advice how shall I remove web2png? 

In the unlikely event someone depends on it I'd like to make sure the installed package does not get automatically upgraded. web2png was written for Python ca 1.5 but still works with 2.7.
Comment 10 Rene Ladan freebsd_committer 2021-01-04 18:33:58 UTC
(In reply to Marcin Cieślak from comment #9)
We can just remove this port, the package would become orphaned on people still having it installed. It will never get upgraded that way.

Feel free to add the converted icon to games/lbreakout2
Comment 11 Rene Ladan freebsd_committer 2021-01-12 20:55:07 UTC
(In reply to Marcin Cieślak from comment #8)
Yes, that sounds fair. I'll host the converted image on FreeBSDs infrastructure for now (until upstream converts it I guess).
Comment 12 commit-hook freebsd_committer 2021-01-13 08:47:09 UTC
A commit references this bug:

Author: rene
Date: Wed Jan 13 08:46:58 UTC 2021
New revision: 561442
URL: https://svnweb.freebsd.org/changeset/ports/561442

Log:
  games/lbreakout2: use a pre-generated png version of the desktop icon

  Pre-generating the desktop icon has two advantages:
  - this port no longer depends on the expired graphics/gif2png
  - the  port is no longer broken on powerpc64, as that was related to gif2png

  Idea from the gif2png maintainer

  PR:		249693
  Submitted by:	swills

Changes:
  head/games/lbreakout2/Makefile
  head/games/lbreakout2/distinfo
Comment 13 Rene Ladan freebsd_committer 2021-01-13 08:48:54 UTC
lbreakout2 now uses a pre-generated image, thanks for the idea!